Gnome Tweaks: Extensions appear off by default and can't be toggled or configured

Bug #1718850 reported by Amr Ibrahim on 2017-09-22
164
This bug affects 36 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
gnome-tweaks (Ubuntu)
Medium
Unassigned

Bug Description

Go to the Extensions panel in Tweaks.
System extensions (dock and appindicators) appear off by default, where they are obviously not.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: gnome-tweak-tool 3.26.1-1ubuntu1
ProcVersionSignature: Ubuntu 4.13.0-11.12-generic 4.13.1
Uname: Linux 4.13.0-11-generic x86_64
ApportVersion: 2.20.7-0ubuntu1
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Fri Sep 22 08:02:59 2017
ExecutablePath: /usr/bin/gnome-tweak-tool
InstallationDate: Installed on 2017-09-21 (0 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170919)
InterpreterPath: /usr/bin/python3.6
PackageArchitecture: all
Python3Details: /usr/bin/python3.6, Python 3.6.2, python3-minimal, 3.6.1-0ubuntu3
PythonDetails: /usr/bin/python2.7, Python 2.7.14, python-minimal, 2.7.13-2
SourcePackage: gnome-tweak-tool
UpgradeStatus: No upgrade log present (probably fresh install)

Amr Ibrahim (amribrahim1987) wrote :
tags: removed: wayland-session
Jeremy Bicha (jbicha) wrote :

I believe this is actually a gnome-shell bug since we get the same behavior with
gnome-shell-extension-prefs

These gnome-shell "mode" extensions are always on in that mode and can't be disabled so it would be nice if both g-s-extension-prefs and Tweaks would show that.

Jeremy Bicha (jbicha) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue you are reporting is an upstream one and it would be nice if somebody having it could send the bug to the developers of the software by following the instructions at https://wiki.ubuntu.com/Bugs/Upstream/GNOME. If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

Changed in gnome-shell (Ubuntu):
importance: Undecided → Low
Daniel van Vugt (vanvugt) wrote :

I wonder if they appear off because we don't have package 'gnome-shell-extensions' installed by default?

Jeremy Bicha (jbicha) wrote :

Daniel, no this is a bug for all GNOME Shell modes including GNOME Classic.

tags: added: rls-aa-incoming
Daniel van Vugt (vanvugt) wrote :

Do you mean classic or default? Because the gnome-classic session is part of package 'gnome-shell-extensions', not installed by default :)

Iain Lane (laney) wrote :

Just to be clear, the desktop team does not maintain Tweaks, so the rls-aa-incoming tag is not for us.

Iain Lane (laney) on 2017-09-27
Changed in gnome-shell (Ubuntu):
status: New → Won't Fix
Jeremy Bicha (jbicha) wrote :

Daniel, yes the extensions that are part of GNOME Classic (and installed as part of gnome-shell-extensions) have the same problem.

Iain, I'm reopening the gnome-shell part of this bug since I believe this bug is actually in gnome-shell and not gnome-tweak-tool (see comment 2). My understanding is that you can drop the rls-aa-incoming tag if this issue is not a priority for the Desktop Team right now.

Changed in gnome-shell (Ubuntu):
status: Won't Fix → New
Iain Lane (laney) wrote :

Are you going to work on it?

If not, this is Won't Fix in Launchpad.

tags: removed: rls-aa-incoming
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Changed in gnome-tweak-tool (Ubuntu):
status: New → Confirmed
Mathew Hodson (mhodson) on 2017-10-22
Changed in ubuntu-release-notes:
status: New → Fix Released
Jeremy Bicha (jbicha) wrote :

I filed https://bugzilla.gnome.org/783104 months ago requesting the ability to disable "system" (enabled by the GNOME Shell mode) extensions, but the bug was closed. :(

Didier Roche (didrocks) on 2017-10-26
summary: - System extensions appear off by default
+ Mode extensions appear off by default

FYI, I started the discussion on the GNOME Shell mailing list in october: https://mail.gnome.org/archives/gnome-shell-list/2017-October/msg00034.html
There is a pending request with patches posted in November on upstream bugzilla: https://bugzilla.gnome.org/show_bug.cgi?id=789852 and patches in Tweaks are waiting on the GNOME Shell part to be merged.

I migrated everything over gitlab once GNOME Shell project was moved to it: https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/1

Daniel van Vugt (vanvugt) wrote :

Thank you for reporting this bug to Ubuntu.
Ubuntu 17.10 (artful) reached end-of-life on July 19, 2018.

See this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We appreciate that this bug may be old and you might not be interested in discussing it any more. But if you are then please upgrade to the latest Ubuntu version and re-test. If you then find the bug is still present in the newer Ubuntu version, please add a comment here telling us which new version it is in and change the bug status to Confirmed.

Changed in gnome-shell (Ubuntu):
status: Confirmed → Incomplete
Changed in gnome-tweak-tool (Ubuntu):
status: Confirmed → Incomplete
Jeremy Bicha (jbicha) on 2018-08-08
affects: gnome-tweak-tool (Ubuntu) → gnome-tweaks (Ubuntu)
Changed in gnome-tweaks (Ubuntu):
status: Incomplete → Triaged
Changed in gnome-shell (Ubuntu):
status: Incomplete → Triaged
tags: added: bionic cosmic
tags: removed: artful cosmic
Jeremy Bicha (jbicha) wrote :

This is fixed in GNOME Shell directly (try running the gnome-shell-extension-prefs tool) in Ubuntu 19.10 which will be released in a few days.

GNOME Tweaks still needs to be updated to do the same thing GNOME Shell does.

Changed in gnome-shell (Ubuntu):
status: Triaged → Fix Released
Download full text (4.2 KiB)

@Jeremy

I hope this warning in Ubuntu 19.10 is not a problem:-

pranav@exam:~$ gnome-shell-extension-prefs

(gnome-shell-extension-prefs:21099): Gjs-CRITICAL **: 12:46:15.409: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy(), dispose(), or remove() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.

(gnome-shell-extension-prefs:21099): Gjs-CRITICAL **: 12:46:15.409: The offending signal was destroy on Gjs_ExtensionRow 0x55eba3f61900.
== Stack trace for context 0x55eba37d71a0 ==

(gnome-shell-extension-prefs:21099): Gjs-CRITICAL **: 12:46:15.409: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy(), dispose(), or remove() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.

(gnome-shell-extension-prefs:21099): Gjs-CRITICAL **: 12:46:15.409: The offending signal was destroy on Gjs_ExtensionRow 0x55eba4152690.
== Stack trace for context 0x55eba37d71a0 ==

(gnome-shell-extension-prefs:21099): Gjs-CRITICAL **: 12:46:15.410: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy(), dispose(), or remove() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.

(gnome-shell-extension-prefs:21099): Gjs-CRITICAL **: 12:46:15.410: The offending signal was destroy on Gjs_ExtensionRow 0x55eba3f61c00.
== Stack trace for context 0x55eba37d71a0 ==

(gnome-shell-extension-prefs:21099): Gjs-CRITICAL **: 12:46:15.410: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy(), dispose(), or remove() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.

(gnome-shell-extension-prefs:21099): Gjs-CRITICAL **: 12:46:15.410: The offending signal was destroy on Gjs_ExtensionRow 0x55eba3f61600.
== Stack trace for context 0x55eba37d71a0 ==

(gnome-shell-extension-prefs:21099): Gjs-CRITICAL **: 12:46:15.410: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy(), dispose(), or remove() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.

(gnome-shell-extension-prefs:21099): Gjs-CRITICAL **: 12:46:15.410: The offending signal was destroy on Gjs_ExtensionRow 0x55eba3f61f00.
== Stack trace for context 0x55eba37d71a0 ==

(gnome-shell-extension-prefs:21099): Gjs-CRITICAL **: 12:46:15.411: Attempting to call...

Read more...

Daniel van Vugt (vanvugt) wrote :

Ubuntu 20.04:

This is still a problem in gnome-tweaks. But you can ignore it and instead use the 'Extensions' app which seems to come from installing package 'gnome-shell-extension-prefs'.

Changed in gnome-tweaks (Ubuntu):
importance: Undecided → Medium
summary: - Mode extensions appear off by default
+ Gnome Tweaks: Extensions appear off by default
summary: - Gnome Tweaks: Extensions appear off by default
+ Gnome Tweaks: Extensions appear off by default and can't be toggled
summary: - Gnome Tweaks: Extensions appear off by default and can't be toggled
+ Gnome Tweaks: Extensions appear off by default and can't be toggled or
+ configured
tags: added: focal
Robert (rspier) wrote :

My system is currently in a state where changes in gnome-shell-extension-prefs also aren't sticking. The toggle toggles, but extension isn't activated. Not sure if this is a different bug or the same one.

Robert (rspier) wrote :

Leaving the system and coming back, it was fine and the extensions worked again. Possibly a side effect of bug 1876641 (high memory usage?)

no longer affects: gnome-shell (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.